import { createMuiTheme } from '@material-ui/core';

const darkTheme = createMuiTheme({
  footer: {
    background: '#222222',
  },
  palette: {
    primary: {
      main: '#1A6B97',
      contrastText: '#FFFFFF',
    },
    secondary: {
      main: '#FFD200',
      contrastText: '#202020',
    },
    error: {
      main: '#FF0C3E',
    },
    background: {
      default: '#2A2A28',
      paper: '#202020',
    },

    divider: '#444444',
    /* success: {},
    info: {},
    warning: {}, */

    text: {
      primary: '#FFFFFF',
    },
  },
  typography: {
    fontFamily: 'Roboto',
  },
});

export default darkTheme;
