export enum Role {
  Admin = 'ADMIN',
  User = 'USER',
}

export interface INotice {
  _id: string;
  text: string;
  redirect?: string;
  isSeen: boolean;
}

export interface IWarning {
  _id: string;
  text: string;
  date: Date;
  givenBy: string;
}

export interface IProfile {
  externalId: string;
  studentCardNumber?: string;
  roomNumber?: Number;
  newPicture?: string;
  acceptedPicture?: string;
  role: Role;
  email: string;
  name: string;
  isStaffMember?: boolean;
  staffMemberText?: string;
  warnings: IWarning[];
  notices: INotice[];
}
